Package htsjdk.samtools.cram.compression.fqzcomp

# Class FQZCompDecode

java.lang.Object
htsjdk.samtools.cram.compression.fqzcomp.FQZCompDecode

public class FQZCompDecode extends Object
Decoder for the CRAM 3.1 FQZComp codec, used for compressing quality scores. Allows the use of previous quality values, position within the read sequence, a sum of the quality differences from the previous quality, and a generic model selector to generate a context model. Uses the range (adaptive arithmetic) codec internally for compression.

## Constructor Summary

Constructors
Constructor
Description
`FQZCompDecode()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`decodeFQZNewRecord(ByteBuffer inBuffer, RangeCoder rangeCoder, FQZModels model, FQZParams fqzParams, FQZState state)`
`static int`
`fqzUpdateContext(FQZParam params, FQZState state, int quality)`
`static void`
`reverseQualities(ByteBuffer outBuffer, int outBufferLength, FQZState fqzState)`
`static ByteBuffer`
`uncompress(ByteBuffer inBuffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FQZCompDecode

public FQZCompDecode()

## Method Details

### uncompress

public static ByteBuffer uncompress(ByteBuffer inBuffer)

### decodeFQZNewRecord

public static void decodeFQZNewRecord(ByteBuffer inBuffer, RangeCoder rangeCoder, FQZModels model, FQZParams fqzParams, FQZState state)

### fqzUpdateContext

public static int fqzUpdateContext(FQZParam params, FQZState state, int quality)

### reverseQualities

public static void reverseQualities(ByteBuffer outBuffer, int outBufferLength, FQZState fqzState)